Package com.microsoft.sqlserver.jdbc

## Interface PerformanceLogCallback

    public interface PerformanceLogCallback

Callback interface for publishing performance logs.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `publish​(PerformanceActivity activity, int connectionId, int statementId, long durationMs, Exception exception)` Publish performance log for statement-level activities.
`void` `publish​(PerformanceActivity activity, int connectionId, long durationMs, Exception exception)` Publish performance log for connection-level activities.

### Method Detail

#### publish

    void publish​(PerformanceActivity activity,
                 int connectionId,
                 long durationMs,
                 Exception exception)
          throws Exception

Publish performance log for connection-level activities.

Parameters:
  `activity` - The type of activity being logged.
  `connectionId` - The ID of the connection.
  `durationMs` - The duration of the operation in milliseconds.
  `exception` - An exception, if an error occurred.
Throws:
  `Exception`

#### publish

    void publish​(PerformanceActivity activity,
                 int connectionId,
                 int statementId,
                 long durationMs,
                 Exception exception)
          throws Exception

Publish performance log for statement-level activities.

Parameters:
  `activity` - The type of activity being logged.
  `connectionId` - The ID of the connection.
  `statementId` - The ID of the statement (if applicable).
  `durationMs` - The duration of the operation in milliseconds.
  `exception` - An exception, if an error occurred.
Throws:
  `Exception`